Bug 32584 - Remove support for password/samba/lmhash
Remove support for password/samba/lmhash
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Users
UCS 3.1
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Felix Botner
Arvid Requate
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-13 10:48 CEST by Moritz Muehlenhoff
Modified: 2014-11-26 06:55 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Cleanup
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Moritz Muehlenhoff univentionstaff 2013-09-13 10:48:01 CEST
Support for LM hashes (UCR: password/samba/lmhash) should be removed in a future release (e.g. 4.0).
Comment 1 Felix Botner univentionstaff 2014-10-17 09:28:32 CEST
I removed the password/samba/lmhash description and default setting, but the code is still there.
Comment 2 Arvid Requate univentionstaff 2014-11-05 12:12:47 CET
Ok, changelog too.
Comment 3 Stefan Gohmann univentionstaff 2014-11-26 06:55:42 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".